package org.openxma.dsl.common.formatter;

import org.eclipse.xtext.AbstractElement;

public class OpenXMALineWrap {
	final private int lines;
	private boolean after=false;
	
	private AbstractElement element;
	
	public OpenXMALineWrap() {
		this(1);				
	}
	public OpenXMALineWrap(int count) {
		this.lines = count;
	}
	public int getLines() {
		return lines;
	}

	public void before(AbstractElement element) {
		this.element = element;
	}
	public void after(AbstractElement element) {
		this.element = element;
		this.after=true;
	}	
	public AbstractElement getElement() {
		return element;
	}
	public boolean isAfter() {
		return after;
	}
}	